Skip to content

Outbounds ​

Outbound tests and traffic counters.

3 endpoints

POST /api/outbounds/test ​

Test Outbounds

Run a connectivity test for an outbound on the panel or on a node (over SSH) and return the result.

Sudo admin only

Request body application/json · TestIn

FieldTypeRequiredDescription
outboundsobject[]yes
serverstringnoDefault: "master".
urlstringno
sitesbooleannoDefault: true.
json
{
  "outbounds": [
    {}
  ],
  "server": "master",
  "url": "string",
  "sites": true
}

Response 200 Successful Response

Errors: 401 Unauthorized, 403 Forbidden

bash
curl -X POST 'https://YOUR-PANEL/api/outbounds/test' \
  -H 'Authorization: Bearer $TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"outbounds": [{}], "server": "master", "url": "string", "sites": true}'

GET /api/outbounds/traffic ​

Get Traffic

Traffic counters per outbound.

Sudo admin only

Response 200 Successful Response

Errors: 401 Unauthorized, 403 Forbidden

bash
curl -X GET 'https://YOUR-PANEL/api/outbounds/traffic' \
  -H 'Authorization: Bearer $TOKEN'

POST /api/outbounds/traffic/reset ​

Reset Traffic

Reset the outbound traffic counters.

Sudo admin only

Request body application/json · ResetIn

FieldTypeRequiredDescription
tagstringno
json
{
  "tag": "string"
}

Response 200 Successful Response

Errors: 401 Unauthorized, 403 Forbidden

bash
curl -X POST 'https://YOUR-PANEL/api/outbounds/traffic/reset' \
  -H 'Authorization: Bearer $TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"tag": "string"}'

Alexen v2.3.14 · 204 API endpoints